Debian Bug report logs - #524149
blt: zooming in a graph produces segmentation fault

version graph

Package: blt; Maintainer for blt is Debian QA Group <packages@qa.debian.org>; Source for blt is src:blt.

Reported by: Jouni Ryno <jouni.ryno@fmi.fi>

Date: Wed, 15 Apr 2009 07:00:01 UTC

Severity: important

Found in version blt/2.4z-4.1

Fixed in version blt/2.4z-6

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Wed, 15 Apr 2009 07:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jouni Ryno <jouni.ryno@fmi.fi>:
New Bug report received and forwarded. Copy sent to Chris Waters <xtifr@debian.org>. (Wed, 15 Apr 2009 07:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jouni Ryno <jouni.ryno@fmi.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: blt: zooming in a graph produces segmentation fault
Date: Wed, 15 Apr 2009 09:59:22 +0300
Package: blt
Version: 2.4z-4.1
Severity: important


Blt zooming to a graph generates a seqmentation fault. Can tested on
the blt-demo graph1.tcl and other scripts. The wish used is wish8.4,
wish8.5 grashes with segmentation fault without any graphics.

Unfortunately I cannot say at which point of sid updates it stopped
working :(

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.29-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages blt depends on:
ii  libc6                         2.9-6      GNU C Library: Shared libraries
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  tcl8.4                        8.4.19-3   Tcl (the Tool Command Language) v8
ii  tcl8.5                        8.5.6-3    Tcl (the Tool Command Language) v8
ii  tk8.4                         8.4.19-3   Tk toolkit for Tcl and X11, v8.4 -
ii  tk8.5                         8.5.6-3    Tk toolkit for Tcl and X11, v8.5 -

blt recommends no packages.

Versions of packages blt suggests:
ii  blt-demo                      2.4z-4.1   the BLT extension library for Tcl/

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Wed, 15 Apr 2009 07:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jouni.Ryno@fmi.fi:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Wed, 15 Apr 2009 07:36:05 GMT) Full text and rfc822 format available.

Message #10 received at 524149@bugs.debian.org (full text, mbox):

From: Jouni Ryno <Jouni.Ryno@fmi.fi>
To: 524149@bugs.debian.org
Subject: blt: zooming in a graph produces seqmentation fault
Date: Wed, 15 Apr 2009 10:31:19 +0300
Just to inform, that after downgrading to 2.4x-4, the blt works. So the
problem comes from the new version.

Jouni
-- 

  Jouni Rynö                            mailto://Jouni.Ryno@fmi.fi/
                                        http://space.fmi.fi/~ryno/
  Finnish Meteorological Institute      http://www.fmi.fi/
  P.O.BOX 503                           Tel      (+358)-9-19294656
  FIN-00101 Helsinki                    FAX      (+358)-9-19294603
  Finland                               priv-GSM (+358)-50-5302903
  
  "It's just zeros and ones, it cannot be hard"





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Wed, 13 May 2009 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Lutz <m.lutz@uu.nl>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Wed, 13 May 2009 17:03:04 GMT) Full text and rfc822 format available.

Message #15 received at 524149@bugs.debian.org (full text, mbox):

From: Martin Lutz <m.lutz@uu.nl>
To: 524149@bugs.debian.org
Subject: blt: zooming in a graph produces seqmentation fault
Date: Wed, 13 May 2009 19:00:41 +0200
I guess, that you mean downgrading to 2.4z-4.

Best regards,
Martin Lutz




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Sun, 17 May 2009 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jouni.Ryno@fmi.fi:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Sun, 17 May 2009 11:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 524149@bugs.debian.org (full text, mbox):

From: Jouni Ryno <Jouni.Ryno@fmi.fi>
To: 524149@bugs.debian.org
Subject: blt: zooming in a graph produces seqmentation fault
Date: Sun, 17 May 2009 14:36:40 +0300
Yes, downgrading to 2.4z-4. Missed by one key in the keyboard.

Jouni
-- 

  Jouni Rynö                            mailto://Jouni.Ryno@fmi.fi/
                                        http://space.fmi.fi/~ryno/
  Finnish Meteorological Institute      http://www.fmi.fi/
  P.O.BOX 503                           Tel      (+358)-9-19294656
  FIN-00101 Helsinki                    FAX      (+358)-9-19294603
  Finland                               priv-GSM (+358)-50-5302903
  
  "It's just zeros and ones, it cannot be hard"





Forcibly Merged 524149 525860. Request was from Daniel Leidert <daniel.leidert@wgdd.de> (dale) to control@bugs.debian.org. (Mon, 08 Jun 2009 09:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Mon, 08 Jun 2009 10:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Daniel Leidert" <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Mon, 08 Jun 2009 10:18:06 GMT) Full text and rfc822 format available.

Message #27 received at 524149@bugs.debian.org (full text, mbox):

From: "Daniel Leidert" <daniel.leidert@wgdd.de>
To: 524149@bugs.debian.org
Cc: pkg-tcltk-devel@lists.alioth.debian.org
Subject: RFH: Bug#524149: blt and segmentation faults
Date: Mon, 8 Jun 2009 12:10:38 +0200 (CEST)
Hi Tcl/Tk package maintainers,

would you please be so kind to examine bug #524149 and the packaging of blt?
There are plenty of crash reports:

http://bugs.debian.org/524149
https://bugs.launchpad.net/bugs/359857 (related report in Ubuntu)
https://bugs.launchpad.net/bugs/380346 (bkchem)
https://bugs.launchpad.net/bugs/305211 (python-pmw, pymol)
https://bugs.launchpad.net/bugs/297699 (pymol)

(there are probably more in Debian/Ubuntu bug-trackers - I didn't check all
dependencies of blt, python-pmw and the other)

So this issue is a pain.

TIA and regards, Daniel





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Mon, 08 Jun 2009 22:51:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantin Khomoutov <flatworm@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Mon, 08 Jun 2009 22:51:09 GMT) Full text and rfc822 format available.

Message #32 received at 524149@bugs.debian.org (full text, mbox):

From: Konstantin Khomoutov <flatworm@users.sourceforge.net>
To: Daniel Leidert <daniel.leidert@wgdd.de>
Cc: 524149@bugs.debian.org, pkg-tcltk-devel@lists.alioth.debian.org
Subject: Re: RFH: Bug#524149: blt and segmentation faults
Date: Tue, 9 Jun 2009 02:49:53 +0400
On Mon, Jun 08, 2009 at 12:10:38PM +0200, Daniel Leidert wrote:

> would you please be so kind to examine bug #524149 and the packaging of blt?
> There are plenty of crash reports:
> 
> http://bugs.debian.org/524149
> https://bugs.launchpad.net/bugs/359857 (related report in Ubuntu)
> https://bugs.launchpad.net/bugs/380346 (bkchem)
> https://bugs.launchpad.net/bugs/305211 (python-pmw, pymol)
> https://bugs.launchpad.net/bugs/297699 (pymol)
> 
> (there are probably more in Debian/Ubuntu bug-trackers - I didn't check all
> dependencies of blt, python-pmw and the other)
> 
> So this issue is a pain.

Jeff Hobbs pointed out that bkchem bug
https://bugs.launchpad.net/bugs/380346 (bkchem)
possibly caused by mixed 8.4 and 8.5 versions of libtcl loaded
at the same time, which can be seen in the backtrace.
bkchem depends on python-pmw which depends strictly on Tcl/Tk >= 8.5,
and BLT which depends on Tcl/Tk 8.5 or 8.4, so it might happen that the
user reported the crash has both versions of Tcl installed, and the
application is written in such a way that two versions of libtcl ended
up being linked to a process.
It would be nice if you forwarded this to the bkchem maintainers in
Ubuntu.

Other bugs appear to be more serious and might happen due to
incompatibility between BLT and Tcl/Tk 8.5 (as BLT possibly
uses Tcl internals, not only its public API which donesn't
change between point releases).

I'm not sure but possibly asking for help on tcl-core mailing list and
comp.lang.tcl newsgroup would yield more information.
Personally, I have no experience with BLT.





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Sat, 12 Sep 2009 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Sat, 12 Sep 2009 15:42:03 GMT) Full text and rfc822 format available.

Message #37 received at 524149@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 524149@bugs.debian.org, Chris Waters <xtifr@debian.org>
Cc: pkg-tcltk-devel@lists.alioth.debian.org
Subject: Re: RFH: Bug#524149: blt and segmentation faults
Date: Sat, 12 Sep 2009 17:30:47 +0200
Am Dienstag, den 09.06.2009, 02:49 +0400 schrieb Konstantin Khomoutov:
> On Mon, Jun 08, 2009 at 12:10:38PM +0200, Daniel Leidert wrote:
> 
> > would you please be so kind to examine bug #524149 and the packaging of blt?
> > There are plenty of crash reports:
> > 
> > http://bugs.debian.org/524149
> > https://bugs.launchpad.net/bugs/359857 (related report in Ubuntu)
> > https://bugs.launchpad.net/bugs/380346 (bkchem)
> > https://bugs.launchpad.net/bugs/305211 (python-pmw, pymol)
> > https://bugs.launchpad.net/bugs/297699 (pymol)
> > 
> > (there are probably more in Debian/Ubuntu bug-trackers - I didn't check all
> > dependencies of blt, python-pmw and the other)
> > 
> > So this issue is a pain.
> 
> Jeff Hobbs pointed out that bkchem bug
> https://bugs.launchpad.net/bugs/380346 (bkchem)
> possibly caused by mixed 8.4 and 8.5 versions of libtcl loaded
> at the same time, which can be seen in the backtrace.
> bkchem depends on python-pmw which depends strictly on Tcl/Tk >= 8.5,
> and BLT which depends on Tcl/Tk 8.5 or 8.4, so it might happen that the
> user reported the crash has both versions of Tcl installed, and the
> application is written in such a way that two versions of libtcl ended
> up being linked to a process.
> It would be nice if you forwarded this to the bkchem maintainers in
> Ubuntu.

I can confirm, that the patch from
https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857/comments/2
"fixes" the crashes in bkchem. It further looks absolutely safe to me
and might fix all crashes, in which the mixture of tcl 8.4 and 8.5
occured in the backtrace.

@Chris: Would you please examine this short patch and apply it to the
blt Debian package?

Further the above mentioned bug report #359857 also contains a link to
the RedHat bugzilla with another patch, which might also be worth to be
checked.

Regards, Daniel





Disconnected #525860 from all other report(s). Request was from Daniel Leidert (dale) <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Mon, 14 Sep 2009 03:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Mon, 14 Sep 2009 14:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert@wgdd.de>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Mon, 14 Sep 2009 14:48:05 GMT) Full text and rfc822 format available.

Message #44 received at 524149@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert@wgdd.de>
To: 524149@bugs.debian.org
Subject: Backtrace
Date: Mon, 14 Sep 2009 16:15:52 +0200
Hi,

Here the backtrace after fixing #525860 and rebuilding tcl8.5, tk8.5 and
blt with debugging symbols:

Regards, Daniel


gdb wish8.5
(rdb) r graph1.tcl
[..]
Program received signal SIGSEGV, Segmentation fault.
0xb6e3bee7 in DisplayText (clientData=0x814ebb0) at ../bltHtext.c:3368
3368	../bltHtext.c: Datei oder Verzeichnis nicht gefunden.
	in ../bltHtext.c
(gdb) bt full
#0  0xb6e3bee7 in DisplayText (clientData=0x814ebb0) at ../bltHtext.c:3368
        i = 0
        last = 0
        winPtr = 0x0
        offset = -1208302822
        first = <value optimized out>
        linkPtr = 0x1
        tkwin = 0x82185b8
        oldFirst = 0
        oldLast = 0
        deltaY = <value optimized out>
        reqWidth = <value optimized out>
        reqHeight = <value optimized out>
#1  0xb7e6cc08 in TclServiceIdle () at /tmp/buildd/tcl8.5-8.5.7/unix/../generic/tclTimer.c:738
        idlePtr = 0x8271400
        oldGeneration = 4
        blockTime = {sec = 134525596, usec = -1209611317}
        tsdPtr = 0x8075570
#2  0xb7e4e5b9 in Tcl_DoOneEvent (flags=-3) at /tmp/buildd/tcl8.5-8.5.7/unix/../generic/tclNotify.c:991
        result = 0
        oldMode = 0
        sourcePtr = 0x0
        timePtr = 0x804b2a8
#3  0xb7ed43ef in Tk_MainLoop () at /tmp/buildd/tk8.5-8.5.7/unix/../generic/tkEvent.c:2139
No locals.
#4  0xb7ee2689 in Tk_MainEx (argc=<value optimized out>, argv=0xbffff304, appInitProc=0x8048880 <Tcl_AppInit>, interp=0x8054790)
    at /tmp/buildd/tk8.5-8.5.7/unix/../generic/tkMain.c:321
        path = 0x80593f8
        argvPtr = 0x8059458
        encodingName = 0x0
        code = <value optimized out>
        inChannel = <value optimized out>
        outChannel = <value optimized out>
        tsdPtr = 0x80651d0
        appName = {string = 0xbffff36c "", length = 0, spaceAvl = 200, 
          staticSpace = "\0raph1.tcl\0\267\270\363\377\277\26\371\371\267\65\0\0\0\302@\372\267\217\233\351\267h\16\352\267\60\376跏\233鷸\363\377\277\373\313緐G\5\b\354\305\351\267R\376\350\267@B\352\267\311\313\347\267h\16\352\267H\364\377\277\372\271ܷ\220G\5\b\217\233\351\267\1\0\0\0`C\352\267\1\0\0\0l\322\352\267\0\0\374\267t\0\351\267\377\377\377\377\364\357\377\267Ȃ\4\bp\366\377\267\60\364\377\277\373\374\376\267(\370\377\267\0\0\0\0\1\0\0\0\5\0\0\0\0\0\0\0Z\204\4\b\4\0\0\0\0\0\0\0\200\233\4\b\5\0\0\0l\322\352\267l\233\4\b\24\365\377\277\2\0\0\0x\364\377\277"}
#5  0x0804886b in main (argc=136414648, argv=0x8080da0) at /tmp/buildd/tk8.5-8.5.7/unix/../unix/tkAppInit.c:68
No locals.
(gdb) 





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Mon, 26 Jul 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas.uhle@mailbox.tu-dresden.de:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Mon, 26 Jul 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #49 received at 524149@bugs.debian.org (full text, mbox):

From: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
To: 524149@bugs.debian.org, Daniel Leidert <daniel.leidert@wgdd.de>
Cc: pkg-tcltk-devel@lists.alioth.debian.org
Subject: Re: RFH: Bug#524149: blt and segmentation faults
Date: Mon, 26 Jul 2010 22:30:27 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Hi folks,

as Daniel already pointed out (cf. 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=524149#44 ) there are 
still some segfaults and bus errors when BLT is built with Tcl/Tk 8.5.

Are you aware of Ross Erwin's patches from 
https://bugzilla.redhat.com/show_bug.cgi?id=486165#c5 ? I merged these 
with the ones in debian/tcltk8.5.diff. The result is attached to this
e-mail and fixed the BLT built for me.

Best regards,


Thomas
[tcltk8.5.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Tue, 27 Jul 2010 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas.uhle@mailbox.tu-dresden.de:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Tue, 27 Jul 2010 09:54:04 GMT) Full text and rfc822 format available.

Message #54 received at 524149@bugs.debian.org (full text, mbox):

From: Thomas Uhle <thomas.uhle@mailbox.tu-dresden.de>
To: 524149@bugs.debian.org
Cc: pkg-tcltk-devel@lists.alioth.debian.org
Subject: Re: RFH: Bug#524149: blt and segmentation faults
Date: Tue, 27 Jul 2010 11:50:59 +0200 (CEST)
Hi folks,

can you please add --enable-jpeg to CONFIGURE in debian/rules:14
and libjpeg8-dev to Build-Depends in debian/control:5.

Thanks in advance,


Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Mon, 28 Feb 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Christley <schristley@mac.com>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Mon, 28 Feb 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #59 received at 524149@bugs.debian.org (full text, mbox):

From: Scott Christley <schristley@mac.com>
To: 524149@bugs.debian.org
Subject: patched blt needed for libswarm ITP
Date: Mon, 28 Feb 2011 13:49:19 -0600
[Message part 1 (text/plain, inline)]
The BLT package is needed for libswarm.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611922

and the problem with BLT and TCL/TK 8.5 prevents libswarm from working properly.  A patch by RedHat is available and solves the problem.  The patched files can be found here, tested on Ubuntu and Debian.

http://pj.freefaculty.org/Ubuntu/10.04/amd64/

Scott

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Thu, 19 Jan 2012 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Christley <schristley@mac.com>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Thu, 19 Jan 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #64 received at 524149@bugs.debian.org (full text, mbox):

From: Scott Christley <schristley@mac.com>
To: 524149@bugs.debian.org
Cc: debian-med <debian-med@lists.debian.org>
Subject: status?
Date: Thu, 19 Jan 2012 10:35:58 -0600
Hello Chris,

Can you tell me the status of this bug?  There are patches available which correct the segmentation fault, and I need this patched version so the software I'm packaging [1] will work correctly.

thanks
Scott

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=611922




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#524149; Package blt. (Sun, 22 Apr 2012 16:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kleber Hugo <khstangherlin@inf.ufrgs.br>:
Extra info received and forwarded to list. Copy sent to Chris Waters <xtifr@debian.org>. (Sun, 22 Apr 2012 16:45:06 GMT) Full text and rfc822 format available.

Message #69 received at 524149@bugs.debian.org (full text, mbox):

From: Kleber Hugo <khstangherlin@inf.ufrgs.br>
To: 524149@bugs.debian.org
Subject: Bug Report #524149
Date: Sun, 22 Apr 2012 13:37:10 -0300
Dear All,

Please publish the following information and workaround for bug report #524149.

Does not happen in version 2.4z-4 of blt, blt-demo and blt-dev.

Workaround:

Add to sources.list:
# more info on snapshot.debian.org
deb     http://snapshot.debian.org/archive/debian/20090802T004153Z stable main
deb-src http://snapshot.debian.org/archive/debian/20090802T004153Z stable main

$ sudo apt-get update
$ sudo apt-get install blt=2.4z-4 blt-demo=2.4z-4 blt-dev=2.4z-4

Version 2.4z-4 requires tcl version 8.4, so you don't need to install
older oversion of tcl. Have fun ! :)

Kleber.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#524149; Package blt. (Mon, 21 Jan 2013 05:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <pauljohn@ku.edu>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 21 Jan 2013 05:00:03 GMT) Full text and rfc822 format available.

Message #74 received at 524149@bugs.debian.org (full text, mbox):

From: Paul Johnson <pauljohn@ku.edu>
To: <524149@bugs.debian.org>
Subject: Hey! Lets fix this for Wheezy
Date: Sun, 20 Jan 2013 22:33:27 -0600
BLT needs fixing RIGHT NO. No more delay.

If the maintainer of this package is not a blt user, I can understand 
that this does not seem like a big thing. But, speaking bluntly, blt is 
an old piece of software that is barely (if at all maintained) by its 
original author. Nevertheless, we are heavily dependent upon it in our 
research. All the other distributions except Debian have patched this 
thing. Lets step forward. please.

In the Swarm Simulation System, we use blt to draw graphs as simulations 
run. This was awesome in tcktk <= 8.4.  Blt DOES NOT WORK AT ALL with 
tcltk8.5.

I first ran into this problem when I was an Ubuntu user.  Here's the bug 
report about it there.

https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857

It seems obvious to me this should have been done in Debian in 2010. If 
Ubuntu did it, why not Debian.

For details on the fix, please skip down to:

https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857/comments/9

I did not write the fix. The Fedora blt maintainers wrote two patches 
for blt in 2010. Since then, I have been applying those patches to blt 
packaging on my Ubuntu and Debian. They work fine.

So, to the package maintainer, please consider installing these patches 
to blt

http://pj.freefaculty.org/Ubuntu/10.04/amd64/blt/blt2.4z-tk8.5.6-patch
http://pj.freefaculty.org/Ubuntu/10.04/amd64/blt/blt2.4z-zoomstack.patch

I just re-compiled blt on Debian Wheezy beta 4. It doesn't run as 
compiled, but it does run as patched.

Please let me know what is holding us back on this.

pj

-- 
Paul E. Johnson			email: pauljohn@ku.edu
http://pj.freefaculty.org	Assoc. Director
Professor, Political Science 	Ctr for Research Methods&  Data Analysis
1541 Lilac Lane, Rm 504		1425 Jayhawk Blvd.	
University of Kansas		Watson Library, Rm. 470  	
Lawrence, Kansas 66045-3129	Lawrence, Kansas 66045-7555
Ph: (785) 864-3523		Ph: (785) 864-3353





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#524149; Package blt. (Mon, 21 Jan 2013 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Mon, 21 Jan 2013 09:36:03 GMT) Full text and rfc822 format available.

Message #79 received at 524149@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: <pauljohn@ku.edu>, 524149@bugs.debian.org
Subject: Re: Bug#524149: blt crash on zoom
Date: Mon, 21 Jan 2013 09:33:54 +0000
[Message part 1 (text/plain, inline)]
On Sun, 20 Jan 2013 22:33:27 -0600
Paul Johnson <pauljohn@ku.edu> wrote:

> BLT needs fixing RIGHT NO. No more delay.

blt is orphaned. This means that it does not have a real maintainer at
the moment. Please consider adopting this package if you are interested
in it. Please see bug number #664092 for more information.

http://www.debian.org/devel/wnpp/orphaned

http://packages.qa.debian.org/b/blt.html

BTW always use the original bug title as the subject of emails like
this because comments on bugs in orphaned packages go to a mailing list
which covers several hundred packages.

> If the maintainer of this package is not a blt user, I can understand 
> that this does not seem like a big thing. But, speaking bluntly, blt is 
> an old piece of software that is barely (if at all maintained) by its 
> original author. Nevertheless, we are heavily dependent upon it in our 
> research. All the other distributions except Debian have patched this 
> thing. Lets step forward. please.

Those best placed to fix software are those with an interest in having
it fixed. It sounds like this is your scratch, you'll need to fix it -
without the attitude. 

> I first ran into this problem when I was an Ubuntu user.  Here's the bug 
> report about it there.
> 
> https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857
> 
> It seems obvious to me this should have been done in Debian in 2010. If 
> Ubuntu did it, why not Debian.

Because nobody cared enough about it to assign it any of their free
time.

Right now, most people are more concerned about fixing the release and
this bug is not release-critical, so it is unlikely to get fixed any
time soon unless you do the work.

> For details on the fix, please skip down to:
> 
> https://bugs.launchpad.net/ubuntu/+source/blt/+bug/359857/comments/9
> 
> I did not write the fix. The Fedora blt maintainers wrote two patches 
> for blt in 2010. Since then, I have been applying those patches to blt 
> packaging on my Ubuntu and Debian. They work fine.

Please look at providing a package via mentors.debian.net - there is
help via the mailing list and IRC for preparing the package itself.

http://mentors.debian.net/intro-maintainers

> Please let me know what is holding us back on this.

There is no maintainer, there is nobody interested in doing the work
and as a result, the package remains orphaned.

I have no personal interest in anything Tcl related and I won't be
fixing it. The mentors system is expressly for your situation where you
want this fixed but for a sponsor to upload the fixed package, you need
to do the work of preparing it as per the mentors guidelines.

If you are going to do the work via mentors, then you should adopt the
package, following the mentors guidelines for adoption. If you don't do
the work, the package and the bug will have to wait until someone else
is sufficiently interested and motivated to care about the package.
That's the reality of an orphaned package.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#524149; Package blt. (Tue, 22 Jan 2013 02:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <pauljohn@ku.edu>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Tue, 22 Jan 2013 02:51:03 GMT) Full text and rfc822 format available.

Message #84 received at 524149@bugs.debian.org (full text, mbox):

From: Paul Johnson <pauljohn@ku.edu>
To: <524149@bugs.debian.org>
Subject: Have built propoed fixes, need to get a mentor, signed keys, etc, before fix can be finalized
Date: Mon, 21 Jan 2013 20:48:46 -0600
OK, I did the work to turn this into a quilted package.

In case anybody wants to try it out, I uploaded the debs, and the whole 
build folder actually,

http://pj.freefaculty.org/Debian/wheezy/amd64/blt-2.4z-quilted/

In there, find a README, which explains the origin of the patches.

pj

-- 
Paul E. Johnson			email: pauljohn@ku.edu
http://pj.freefaculty.org	Assoc. Director
Professor, Political Science 	Ctr for Research Methods&  Data Analysis
1541 Lilac Lane, Rm 504		1425 Jayhawk Blvd.	
University of Kansas		Watson Library, Rm. 470  	
Lawrence, Kansas 66045-3129	Lawrence, Kansas 66045-7555
Ph: (785) 864-3523		Ph: (785) 864-3353





Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 30 Aug 2013 09:51:05 GMT) Full text and rfc822 format available.

Notification sent to Jouni Ryno <jouni.ryno@fmi.fi>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 09:51:05 GMT) Full text and rfc822 format available.

Message #89 received at 524149-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 524149-close@bugs.debian.org
Subject: Bug#524149: fixed in blt 2.4z-6
Date: Fri, 30 Aug 2013 09:48:40 +0000
Source: blt
Source-Version: 2.4z-6

We believe that the bug you reported is fixed in the latest version of
blt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 524149@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated blt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Aug 2013 11:13:17 +0200
Source: blt
Binary: blt blt-dev blt-demo
Architecture: source all amd64
Version: 2.4z-6
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 blt        - graphics extension library for Tcl/Tk - run-time package
 blt-demo   - graphics extension library for Tcl/Tk - demos and examples
 blt-dev    - graphics extension library for Tcl/Tk - development files
Closes: 524149 636629
Changes: 
 blt (2.4z-6) unstable; urgency=low
 .
   * QA upload, orphan the package.
 .
   [ Paul E. Johnson ]
   * Fix zooming (Closes: #524149)
   * Fix crash in wish (Closes: #636629)
   * Version 2.4z-6 introduces quilt-3.0 patches.
   * Changes in control and rules file to silence lintian warnings.
   * 02-debian-all.diff includes all of the changes that were applied
     to the source code by previous packager. Almost all of the changes
     are corrections in spelling in the blt documentation and examples.
   * Apply 3 changes based on revisions developed by the fedora linux team.
     + 03-fedora-patch-2.diff
     + 04-fedora-tk8.5.6.patch.diff
     + 05-tk8.5-zoomstack.diff
    * Those patches are required to solve segmentation faults that are observed
     when blt is used with tcltk 8.5. We have a substantial amount of
     experience using this patched version of blt in the Swarm
     Simulation System (www.swarm.org) and have observed no ill-effects.
    * new patches for man page cleanups to silence lintian warningss.
    * patch configure according to Debian hardening policy.
 .
   [ Georges Khaznadar ]
   * changed the source format to 3.0 (quilt)
   * modified every diff file in debian/patches to comply with the
     build tools
   * checked that the package is built successfully
   * modified Standards-Version -> 3.9.4, comptaibility level -> 9
   * added a build-depedency on quilt and ${misc:Depends} clauses
   * changed the build-depedency on debhelper (now: >= 9)
   * set the urgency flag to low (normal is not allowed)
   * removed the leading article in blt-dev's and blt-demo's description lines
 .
   [ Matthias Klose ]
   * Allow to build using Tcl/Tk 8.5 installed in a multiarch location.
   * Stop building for Tk 8.4.
   * Allow parallel builds.
Checksums-Sha1: 
 8bf385916d3644c8d991ea05b35ada25e8affd7b 1149 blt_2.4z-6.dsc
 08bc394d957270f25597bd8448a605c3f1fca5f1 165532 blt_2.4z-6.debian.tar.gz
 78a3c2e65cc3ba7b948214e8cf811fbe3c528c61 488756 blt-demo_2.4z-6_all.deb
 35874580a59fc369b162354661ba02cbd5909508 559840 blt_2.4z-6_amd64.deb
 11843a29ed8f65ca3953503a1ece53e151ab788d 720018 blt-dev_2.4z-6_amd64.deb
Checksums-Sha256: 
 3ff0bb60f4235acb3175a435a4ea626126e6bc77d597cb899197789eb26bf62a 1149 blt_2.4z-6.dsc
 078ce705463fc36b0f527778e2d6118548cc651ed9cf7d92cdf411e24d7f2bbf 165532 blt_2.4z-6.debian.tar.gz
 49f35b33dadb6970ca542fb656ebe156e7c3f618deb5f0b7a991e88118371a99 488756 blt-demo_2.4z-6_all.deb
 bb1ba93cb7bb27bd22eb787b1be0804d8f6773980f21b6344151140b7b5fdcba 559840 blt_2.4z-6_amd64.deb
 39d382b1033abfa4ec8c70e9c7da8141441842a9efce87ce1ad001b8d4069a30 720018 blt-dev_2.4z-6_amd64.deb
Files: 
 124f20b13feb2ba01f7c9dd8a2db7480 1149 devel optional blt_2.4z-6.dsc
 1d42d0f48eef03b97785f61a26cd872b 165532 devel optional blt_2.4z-6.debian.tar.gz
 235b8ad9b31f886f6799beead2807da0 488756 devel optional blt-demo_2.4z-6_all.deb
 21917e0a43f757af07470d984cb927f5 559840 libs optional blt_2.4z-6_amd64.deb
 4f723d7b18fb8dcd8553f11310938205 720018 devel optional blt-dev_2.4z-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlIgZjsACgkQStlRaw+TLJyjgwCfeiD0cVsm1QGD1v9oH55Mwnb3
ZpAAoI3TLFCA7Bs9sCglXrxiSb6DOZMw
=3TZn
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Oct 2013 07:31:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:34:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.